import sys
import math

curtest = 1

def test(a, xy):
    global curtest
    global was
    f = open("%02d" % curtest, "w")
    print(len(a), file=f)
    print(*a, file=f)
    for x, y in xy:
        print(x, y, file=f)
    f.close()
    print(len(a), a, xy)
    curtest += 1

import random
random.seed("ilash")

test([0, 1, 0, 1, 0], [
    (80000, 81000),
    (80500, 81500),
    (81500, 81000),
    (80500, 80000),
    (80000, 81800)])

def random_test(n):
    a = [0] * n
    for i in range(n):
        a[i] = random.randint(0, 1)
    xy = []
    for i in range(n):
        xy.append((random.randint(30000, 200000), random.randint(30000, 200000)))
    test(a, xy)

def random_test_unique(n):
    a = [0] * n
    i = random.randint(1, n)        
    a[i] = 1
    xy = []
    for i in range(n):
        xy.append((random.randint(30000, 200000), random.randint(30000, 200000)))
    test(a, xy)

def random_test_none(n):
    a = [0] * n
    xy = []
    for i in range(n):
        xy.append((random.randint(30000, 200000), random.randint(30000, 200000)))
    test(a, xy)

def random_test_le(n):
    a = [0] * n
    for i in range(n):
        a[i] = random.randint(0, 1)
    xy = []
    for i in range(n):
        x, y = random.randint(30000, 200000), random.randint(30000, 200000)
        if x > y:
            x, y = y, x
        xy.append((x, y))
    test(a, xy)

# group 1, n = 1
test([1], [(30000, 200000)])
test([0], [(30000, 200000)])
test([1], [(200000, 30000)])
test([0], [(200000, 30000)])
test([1], [(100000, 100000)])
test([0], [(100000, 100000)])
for i in range(4):
    random_test(1)

# group 2, one training
random_test_unique(1000)
random_test_none(1000)
for i in range(9):
    random_test_unique(random.randint(1, 1000))
    random_test_none(random.randint(1, 1000))

# group 3, x <= y
random_test_le(1)
random_test_le(1000)
for i in range(8):
    random_test_le(random.randint(1, 1000))

# group 4
random_test(1000)
for i in range(9):
    random_test(random.randint(1, 1000))

