import sys
import math

curtest = 3

def test(n, k, m, a):
    global curtest
    global was
    f = open("%02d" % curtest, "w")
    print(n, k, m, file=f)
    print(*a, file=f)
    f.close()
    print(n, k, m)
    print(",".join(map(str, a[:10])) + "..." if len(a) > 10 else a)
    curtest += 1

import random
random.seed("ilash")

def random_test_km(n, k, m, maxa):
    a = []
    for i in range(n):
        a.append(random.randint(1, maxa))
    test(n, k, m, a)

def random_test(n, maxa):
    a = []
    k = random.randint(2, n)
    m = random.randint(1, k - 1)
    for i in range(n):
        a.append(random.randint(1, maxa))
    test(n, k, m, a)

# group 1, n <= 100, k = 2, m = 1
# 3-12
test(2, 2, 1, [1, 1])
test(2, 2, 1, [1, 100000])
test(2, 2, 1, [100000, 100000])
test(3, 2, 1, [100000, 1, 100000])
test(3, 2, 1, [1, 100000, 1])
test(4, 2, 1, [1, 100000, 100000, 1])
random_test_km(10, 2, 1, 100)
random_test_km(100, 2, 1, 100)
random_test_km(99, 2, 1, 100000)
random_test_km(100, 2, 1, 100000)

# group 2, n <= 100
# 13-22
test(3, 3, 1, [100000, 1, 100000])
test(3, 3, 2, [100000, 1, 100000])
test(4, 3, 1, [1, 100000, 100000, 1])
test(4, 3, 2, [1, 100000, 100000, 1])
test(4, 4, 2, [1, 100000, 100000, 1])
random_test(10, 100)
random_test(100, 100)
random_test(100, 100000)
random_test(100, 100000)
random_test(100, 100000)

# group 3, n <= 5000, k = 2, m = 1
# 23-29
test(5000, 2, 1, [1, 100000] * 2500)
test(5000, 2, 1, [100000, 1] * 2500)
random_test_km(5000, 2, 1, 100)
random_test_km(5000, 2, 1, 100)
random_test_km(4998, 2, 1, 100000)
random_test_km(4999, 2, 1, 100000)
random_test_km(5000, 2, 1, 100000)

# group 4, n <= 5000
# 30-43
for i in range(7):
    random_test(4999, 100000)
    random_test(5000, 100000)
    
# group 5, n <= 20000, k = 2, m = 1
# 44-50
test(200000, 2, 1, [1, 10**9] * 100000)
test(200000, 2, 1, [10**9, 1] * 100000)
random_test_km(200000, 2, 1, 100000)
random_test_km(200000, 2, 1, 100000)
random_test_km(199999, 2, 1, 100000)
random_test_km(199999, 2, 1, 10**9)
random_test_km(200000, 2, 1, 10**9)

# group 6, n <= 200000
# 51-70
for i in range(10):
    random_test(199999, 10**9)
    random_test(200000, 10**9)

